Bug 21621 - After import from 321 Comp. palette and Comp. Inspector are not visible
After import from 321 Comp. palette and Comp. Inspector are not visible
Status: CLOSED WONTFIX
Product: guibuilder
Classification: Unclassified
Component: Code
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: issues@guibuilder
issues@guibuilder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-15 11:57 UTC by Milan Kubec
Modified: 2004-03-03 22:50 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kubec 2002-03-15 11:57:30 UTC
After import of 321 project (with GUI editing WS active and opened forms), Form
Editor window is opened, but Comp. palette and Comp. Inspector are not visible.
After action "View Form" both are displayed again.
Comment 1 Tomas Pavek 2002-07-09 11:12:15 UTC
In dev 20020709, only palette is missing, Component 
Inspector is visible. This is logical behaviour (still bug 
from user's point of view) -- there was no palette 
TopComponent in NB 3.2.1 => it is not stored in window 
system settings => winsys does not restore it in NB 3.4 
when importing. I have no idea how to fix it -- there's no 
way how to recognize the opened form comes from imported 
data... So marking WONTFIX.

This problem should be probably mentioned in release 
notes: If a project from NB 3.2.1 which contains opened 
GUI forms is imported, the Component Palette might be 
hidden when the Form Editor window is opened first time in 
NB 3.4. It can be shown using View | Form Editor menu.
Comment 2 Patrick Keegan 2002-08-08 20:14:00 UTC
Proposed release note (slight rewording; also switched 3.2.1 to 
3.2.x):

Description: If a project that contains opened GUI forms is imported 
from NetBeans 3.2.x, the Component Palette might be hidden when the 
Form Editor window is opened for the first time. 

Workaround: Choose View | Form Editor to display the component 
palette.
Comment 3 Quality Engineering 2003-06-30 18:20:41 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 4 Quality Engineering 2003-06-30 18:28:30 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 5 Patrick Keegan 2004-03-03 22:50:56 UTC
removing RELNOTE keyword


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo